<template>
  <div class="chat-container">
    <div class="button-close">
      <button @click="close">x</button>
    </div>
    <div class="title">
      <span>Your chat invites</span>
    </div>

    <div class="list-chats">
      <div class="item">
        <div class="credit-title">
          <span>1 credit per minute</span>
        </div>
        <div class="user-info">
          <div class="left-side">
            <div class="user-chat-photo">
              <img src="./img/chat-avatar.png" alt="user-photo" />
            </div>
          </div>
          <div class="right-side">
            <div class="user-header">
              <div class="user-name">
                <span>Anastasia, 25</span>
              </div>
              <div class="remove-user">
                <div class="block item">
                  <span>Block</span>
                </div>
                <div class="close item">
                  <span>Close</span>
                </div>
              </div>
            </div>
            <div class="user-body">
              <div class="message">
                <span>Hi, Kevin! How are you?...</span>
              </div>
            </div>
            <div class="user-footer">
              <div class="chat-now-button">
                <button>Start Chat NOW</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="item">
        <div class="credit-title">
          <span>1 credit per minute</span>
        </div>
        <div class="user-info">
          <div class="left-side">
            <div class="user-chat-photo">
              <img src="./img/chat-avatar.png" alt="user-photo" />
            </div>
          </div>
          <div class="right-side">
            <div class="user-header">
              <div class="user-name">
                <span>Anastasia, 25</span>
              </div>
              <div class="remove-user">
                <div class="block item">
                  <span>Block</span>
                </div>
                <div class="close item">
                  <span>Close</span>
                </div>
              </div>
            </div>
            <div class="user-body">
              <div class="message">
                <span>Hi, Kevin! How are you?...</span>
              </div>
            </div>
            <div class="user-footer">
              <div class="chat-now-button">
                <button>Start Chat NOW</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="item">
        <div class="credit-title">
          <span>1 credit per minute</span>
        </div>
        <div class="user-info">
          <div class="left-side">
            <div class="user-chat-photo">
              <img src="./img/chat-avatar.png" alt="user-photo" />
            </div>
          </div>
          <div class="right-side">
            <div class="user-header">
              <div class="user-name">
                <span>Anastasia, 25</span>
              </div>
              <div class="remove-user">
                <div class="block item">
                  <span>Block</span>
                </div>
                <div class="close item">
                  <span>Close</span>
                </div>
              </div>
            </div>
            <div class="user-body">
              <div class="message">
                <span>Hi, Kevin! How are you?...</span>
              </div>
            </div>
            <div class="user-footer">
              <div class="chat-now-button">
                <button>Start Chat NOW</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapMutations } from "vuex";
export default {
  computed: {
    ...mapState(['isHiddenChat'])
  },

  methods: {
    ...mapMutations(['showChat']),

    close() {
      this.showChat(!this.isHiddenChat);
      console.log('lox')
    }
  }
};
</script>

<style lang='scss' src='./styles.scss'>
</style>